#ifndef __TIDE_H__
#define __TIDE_H__

#define PI 3.141593

class Tide
{
public:
	Tide();

	int  CalcSpeed();
	void SetSpeed(int Speed);
	void Init(int Speed, int minOffset, int maxOffset);
	void SetAmp(int Amp);
	void SetWaveLength(int WaveLength);
	void SetWave(int Amp, int WaveLength);
	void SetOffset(int minOffset, int maxOffset);

	boolean isIncoming(); 

private:
	int m_Speed;
	int m_CurrSpeed;
	int m_PrevSpeed;
	int m_MinOffset;
	int m_MaxOffset;
	double m_Amp;
	double m_WaveLength;
};


#endif  // __TIDE_H__
